Index: /trunk/LMDZ.PLUTO/libf/dynphy_lonlat/phypluto/start2archive.F
===================================================================
--- /trunk/LMDZ.PLUTO/libf/dynphy_lonlat/phypluto/start2archive.F	(revision 3520)
+++ /trunk/LMDZ.PLUTO/libf/dynphy_lonlat/phypluto/start2archive.F	(revision 3521)
@@ -9,10 +9,10 @@
 c
 c   Objet:   Passage des  fichiers netcdf d'etat initial "start" et
-c   -----    "startfi" a un fichier netcdf unique "start_archive" 
+c   -----    "startfi" a un fichier netcdf unique "start_archive"
 c
 c  "start_archive" est une banque d'etats initiaux:
 c  On peut stocker plusieurs etats initiaux dans un meme fichier "start_archive"
 c    (Veiller dans ce cas avoir un day_ini different pour chacun des start)
-c 
+c
 c
 c
@@ -21,5 +21,5 @@
       use infotrac, only: infotrac_init, nqtot, tname
       USE comsoil_h
-      
+
 !      use slab_ice_h, only: noceanmx
 c      USE ocean_slab_mod, ONLY: nslay
@@ -42,5 +42,5 @@
 
       include "dimensions.h"
-      integer, parameter :: ngridmx = (2+(jjm-1)*iim - 1/jjm) 
+      integer, parameter :: ngridmx = (2+(jjm-1)*iim - 1/jjm)
       include "paramet.h"
       include "comdissip.h"
@@ -55,5 +55,5 @@
 c -----------------------------
       REAL vcov(ip1jm,llm),ucov(ip1jmp1,llm) ! vents covariants
-      REAL teta(ip1jmp1,llm)                    ! temperature potentielle 
+      REAL teta(ip1jmp1,llm)                    ! temperature potentielle
       REAL,ALLOCATABLE :: q(:,:,:)   ! champs advectes
       REAL pks(ip1jmp1)                      ! exner (f pour filtre)
@@ -64,5 +64,5 @@
       REAL ps(ip1jmp1)                       ! pression au sol
       REAL p3d(iip1, jjp1, llm+1)            ! pression aux interfaces
-      
+
 c Variable Physiques (grille physique)
 c ------------------------------------
@@ -104,5 +104,5 @@
 
       CHARACTER*2 str2
-      CHARACTER*80 fichier 
+      CHARACTER*80 fichier
       data  fichier /'startfi'/
 
@@ -115,9 +115,9 @@
 c Netcdf
 c-------
-      integer varid,dimid,timelen 
+      integer varid,dimid,timelen
       INTEGER nid,nid1
 
 c-----------------------------------------------------------------------
-c   Initialisations 
+c   Initialisations
 c-----------------------------------------------------------------------
 
@@ -152,5 +152,5 @@
         CALL ABORT
        ENDIF
-                                                
+
       ierr = NF_INQ_VARID (nid1, "controle", varid)
       IF (ierr .NE. NF_NOERR) THEN
@@ -188,5 +188,5 @@
       ENDIF
       ierr = NF_CLOSE(nid1)
-      
+
       ! allocate arrays of nsoilmx size
       allocate(tsoil(ngridmx,nsoilmx))
@@ -195,5 +195,5 @@
 
 c-----------------------------------------------------------------------
-c   Initialisations 
+c   Initialisations
 c-----------------------------------------------------------------------
 
@@ -216,5 +216,5 @@
 ! Allocate saved arrays (as in firstcall of physiq)
       call phys_state_var_init(nqtot)
-      
+
 ! Initialize tracer names, indexes and properties
       CALL initracer(ngridmx,nqtot)
@@ -222,5 +222,5 @@
       CALL phyetat0(.true.,ngridmx,llm,fichnom,0,Lmodif,nsoilmx,nqtot,
      .      day_ini_fi,timefi,
-     .      tsurf,tsoil,emis,q2,qsurf) 
+     .      tsurf,tsoil,emis,q2,qsurf,inertiedat)
 !       change FF 05/2011
 c     .       cloudfrac,totalcloudfrac,hice,
@@ -238,5 +238,5 @@
         CALL ABORT
        ENDIF
-                                                
+
       ierr = NF_INQ_VARID (nid1, "controle", varid)
       IF (ierr .NE. NF_NOERR) THEN
@@ -260,6 +260,6 @@
 c Controle de la synchro
 c-----------------------------------------------------------------------
-!mars a voir      if ((day_ini_fi.ne.day_ini).or.(abs(timefi-timedyn).gt.1.e-10)) 
-      if ((day_ini_fi.ne.day_ini)) 
+!mars a voir      if ((day_ini_fi.ne.day_ini).or.(abs(timefi-timedyn).gt.1.e-10))
+      if ((day_ini_fi.ne.day_ini))
      &  stop ' Probleme de Synchro entre start et startfi !!!'
 
@@ -284,5 +284,5 @@
 
 c-----------------------------------------------------------------------
-c Vent   (depend de la resolution horizontale) 
+c Vent   (depend de la resolution horizontale)
 c-----------------------------------------------------------------------
 c
@@ -292,6 +292,6 @@
 c-----------------------------------------------------------------------
 
-      call covnat(llm,ucov, vcov, un, vn) 
-      call wind_scal(un,vn,us,vs) 
+      call covnat(llm,ucov, vcov, un, vn)
+      call wind_scal(un,vn,us,vs)
 
 c-----------------------------------------------------------------------
@@ -310,5 +310,5 @@
 
 c-----------------------------------------------------------------------
-c Variable physique 
+c Variable physique
 c-----------------------------------------------------------------------
 c
@@ -353,5 +353,5 @@
          DO i=1,iim
            ptotal=ptotal+aire(i+(iim+1)*(j-1))*ps(i+(iim+1)*(j-1))/g
-!           n2icetotal = n2icetotal + 
+!           n2icetotal = n2icetotal +
 !     &            n2iceS(i+(iim+1)*(j-1))*aire(i+(iim+1)*(j-1))
          ENDDO
@@ -372,9 +372,9 @@
 
 c-----------------------------------------------------------------------
-c Ouverture de "start_archive" 
+c Ouverture de "start_archive"
 c-----------------------------------------------------------------------
 
       ierr = NF_OPEN ('start_archive.nc', NF_WRITE,nid)
- 
+
 c-----------------------------------------------------------------------
 c  si "start_archive" n'existe pas:
@@ -383,5 +383,5 @@
 c-----------------------------------------------------------------------
 c ini_archive:
-c On met dans l'entete le tab_cntrl dynamique (1 a 16) 
+c On met dans l'entete le tab_cntrl dynamique (1 a 16)
 c  On y ajoute les valeurs du tab_cntrl_fi (a partir de 51)
 c  En plus les deux valeurs ptotal et n2icetotal (99 et 100)
@@ -426,5 +426,5 @@
 c    On passe donc une des couches de q2 a part
 c    comme une variable 2D (la couche au sol: "q2surf")
-c    Les lmm autres couches sont nommees "q2atm" (3D) 
+c    Les lmm autres couches sont nommees "q2atm" (3D)
 c-----------------------------------------------------------------------
 
@@ -463,5 +463,5 @@
 c-----------------------------------------------------------------------
 c "tsoil" Temperature au sol definie dans 10 couches dans le sol
-c   Les 10 couches sont lues comme 10 champs 
+c   Les 10 couches sont lues comme 10 champs
 c  nommees Tg[1,10]
 
@@ -523,5 +523,5 @@
 c     &            ,'tsea_ice','',2,tsea_iceS)
 c        endif !ok_slab_ocean
-      
+
       ENDIF ! of IF(ierr.EQ.0)
 
@@ -540,5 +540,5 @@
 
 c-----------------------------------------------------------------------
-c Fin 
+c Fin
 c-----------------------------------------------------------------------
       ierr=NF_CLOSE(nid)
@@ -546,3 +546,3 @@
       write(*,*) "start2archive: All is well that ends well."
 
-      end 
+      end