Index: trunk/LMDZ.GENERIC/utilities/photochemistry/Photochem_Visualizer.ipynb
===================================================================
--- trunk/LMDZ.GENERIC/utilities/photochemistry/Photochem_Visualizer.ipynb	(revision 3528)
+++ trunk/LMDZ.GENERIC/utilities/photochemistry/Photochem_Visualizer.ipynb	(revision 3529)
@@ -122,10 +122,10 @@
   {
    "cell_type": "code",
-   "execution_count": null,
+   "execution_count": 4,
    "id": "776388e6-0506-428b-a99c-f02283bad4d8",
    "metadata": {},
    "outputs": [],
    "source": [
-    "my"
+    "my_sim.compute_rates()"
    ]
   },
@@ -149,5 +149,5 @@
   {
    "cell_type": "code",
-   "execution_count": 4,
+   "execution_count": 5,
    "id": "f34cbcfa-339b-46dd-b33e-4c699a118f60",
    "metadata": {},
@@ -167,5 +167,5 @@
   {
    "cell_type": "code",
-   "execution_count": 5,
+   "execution_count": 6,
    "id": "f54ea828-ea01-4f8c-9349-e5f051ef7043",
    "metadata": {},
@@ -208,5 +208,5 @@
   {
    "cell_type": "code",
-   "execution_count": 6,
+   "execution_count": 7,
    "id": "2328745a-55e1-40d9-86c7-41f04bea872c",
    "metadata": {},
@@ -249,5 +249,5 @@
   {
    "cell_type": "code",
-   "execution_count": 7,
+   "execution_count": 8,
    "id": "4f544843-012d-41a6-8d7a-c4b40f45a5e1",
    "metadata": {},
@@ -293,5 +293,5 @@
   {
    "cell_type": "code",
-   "execution_count": 8,
+   "execution_count": 9,
    "id": "56b07967-3900-4454-ac0d-29cfae7cc1f9",
    "metadata": {},
@@ -326,5 +326,5 @@
   {
    "cell_type": "code",
-   "execution_count": 9,
+   "execution_count": 10,
    "id": "56e81d82-fd55-464c-a746-66cf23822957",
    "metadata": {},
@@ -333,5 +333,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "09d636f9d1544e818b3d65401146cc63",
+       "model_id": "14ac96bee52944c99e53df9d8fd6ed33",
        "version_major": 2,
        "version_minor": 0
@@ -341,5 +341,5 @@
       ]
      },
-     "execution_count": 9,
+     "execution_count": 10,
      "metadata": {},
      "output_type": "execute_result"
@@ -369,5 +369,5 @@
   {
    "cell_type": "code",
-   "execution_count": 10,
+   "execution_count": 11,
    "id": "fd7b4103-0436-4bda-bb39-96666c39f332",
    "metadata": {},
@@ -376,5 +376,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "c11050a864054709a98c962bcc721bb9",
+       "model_id": "7931087537c2471289e1e968f1d99fc2",
        "version_major": 2,
        "version_minor": 0
@@ -384,5 +384,5 @@
       ]
      },
-     "execution_count": 10,
+     "execution_count": 11,
      "metadata": {},
      "output_type": "execute_result"
@@ -412,5 +412,5 @@
   {
    "cell_type": "code",
-   "execution_count": 11,
+   "execution_count": 12,
    "id": "e4691cae-637b-4555-ac87-d556521a4c3f",
    "metadata": {},
@@ -419,5 +419,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "8df03ed7eb3d46609f51c8c87fb3ff24",
+       "model_id": "be3fdd341c364ae6a89147d4941723b6",
        "version_major": 2,
        "version_minor": 0
@@ -427,5 +427,5 @@
       ]
      },
-     "execution_count": 11,
+     "execution_count": 12,
      "metadata": {},
      "output_type": "execute_result"
@@ -459,5 +459,5 @@
   {
    "cell_type": "code",
-   "execution_count": 12,
+   "execution_count": 13,
    "id": "e4db2d8b-6183-4fbe-8ca1-940ef15aaa28",
    "metadata": {},
@@ -466,5 +466,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "5b689b68c4f34343989f2921d6600425",
+       "model_id": "ec9ab05df80e4da2964b3ee2dc436940",
        "version_major": 2,
        "version_minor": 0
@@ -474,5 +474,5 @@
       ]
      },
-     "execution_count": 12,
+     "execution_count": 13,
      "metadata": {},
      "output_type": "execute_result"
@@ -512,5 +512,5 @@
   {
    "cell_type": "code",
-   "execution_count": 13,
+   "execution_count": 14,
    "id": "9dd59a1c-58c4-41f0-9730-9e97d2607c6a",
    "metadata": {},
@@ -519,5 +519,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "b3c1d194f8d1489180e781b65a599d19",
+       "model_id": "07740f3642a44b72bbd6bf3777dad80f",
        "version_major": 2,
        "version_minor": 0
@@ -527,5 +527,5 @@
       ]
      },
-     "execution_count": 13,
+     "execution_count": 14,
      "metadata": {},
      "output_type": "execute_result"
@@ -562,5 +562,5 @@
   {
    "cell_type": "code",
-   "execution_count": 14,
+   "execution_count": 15,
    "id": "ff21a3dc-d44a-4f0e-9aa4-211741bb592d",
    "metadata": {},
@@ -569,5 +569,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "70c2af3118d84892a85767a0ee9eb9ac",
+       "model_id": "42b9e7928f514fed9754edfcbce8e897",
        "version_major": 2,
        "version_minor": 0
@@ -577,5 +577,5 @@
       ]
      },
-     "execution_count": 14,
+     "execution_count": 15,
      "metadata": {},
      "output_type": "execute_result"
@@ -610,5 +610,5 @@
   {
    "cell_type": "code",
-   "execution_count": 15,
+   "execution_count": 16,
    "id": "b5b73171-0101-4656-b2ce-7e398070ebbb",
    "metadata": {},
@@ -617,5 +617,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "e7ddfcdad6234de69570d4d3e44cec4a",
+       "model_id": "71f016cdee32419b92bbaee7409e9925",
        "version_major": 2,
        "version_minor": 0
@@ -625,5 +625,5 @@
       ]
      },
-     "execution_count": 15,
+     "execution_count": 16,
      "metadata": {},
      "output_type": "execute_result"
@@ -666,5 +666,5 @@
   {
    "cell_type": "code",
-   "execution_count": 16,
+   "execution_count": 17,
    "id": "c849fda1-3969-4709-bb17-fdcaff5cbf86",
    "metadata": {},
@@ -673,5 +673,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "69b988d5c7954448b2cd33e27d568329",
+       "model_id": "5066b8d918a54391973628bb36173d9e",
        "version_major": 2,
        "version_minor": 0
@@ -681,17 +681,7 @@
       ]
      },
-     "execution_count": 16,
+     "execution_count": 17,
      "metadata": {},
      "output_type": "execute_result"
-    },
-    {
-     "data": {
-      "image/png": "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",
-      "text/plain": [
-       "<Figure size 640x480 with 1 Axes>"
-      ]
-     },
-     "metadata": {},
-     "output_type": "display_data"
     }
    ],
@@ -746,5 +736,5 @@
   {
    "cell_type": "code",
-   "execution_count": 17,
+   "execution_count": 18,
    "id": "e25768d8-914b-4409-947d-b3aa3f3d9c87",
    "metadata": {},
@@ -798,5 +788,5 @@
   {
    "cell_type": "code",
-   "execution_count": 18,
+   "execution_count": 19,
    "id": "1e1585ff-dc78-44ae-9e38-3025fde45a59",
    "metadata": {},
@@ -891,5 +881,5 @@
   {
    "cell_type": "code",
-   "execution_count": 21,
+   "execution_count": 20,
    "id": "513f6d4e-a0e2-4095-9a7c-acafc79a465b",
    "metadata": {},
@@ -898,5 +888,5 @@
      "data": {
       "application/vnd.jupyter.widget-view+json": {
-       "model_id": "d69273658f144d8f952fe3dc40004e67",
+       "model_id": "93b44294c8a743239d62dda010335241",
        "version_major": 2,
        "version_minor": 0
@@ -906,5 +896,5 @@
       ]
      },
-     "execution_count": 21,
+     "execution_count": 20,
      "metadata": {},
      "output_type": "execute_result"