Index: trunk/LMDZ.PLUTO/deftank/dynamico/run.def
===================================================================
--- trunk/LMDZ.PLUTO/deftank/dynamico/run.def	(revision 3544)
+++ trunk/LMDZ.PLUTO/deftank/dynamico/run.def	(revision 3545)
@@ -1,89 +1,2 @@
-#---------------- Mesh ----------------
-
-# Number of subdivisions on a main triangle : integer (default=40)
-nbp = 40
-
-# Number of vertical layers : integer (default=19)
-llm = 27
-
-# Vertical grid : [std|ncar|ncarl30] (default=std)
-# disvert = std
-disvert = plugin
-hybrid = .false.
-
-# Mesh optimisation : number of iterations : integer (default=0)
-optim_it = 1000
-
-# Sub splitting of main rhombus : integer (default=1)
-nsplit_i = 10
-nsplit_j = 10
-
-#number of openmp task on vertical level
-omp_level_size=1
-
-#---------------- Numerics ----------------
-
-# Advection called every itau_adv time steps : integer (default=2)
-itau_adv = 1
-
-# Time step in s : real (default=480)
-# dt = 720
-# Alternative to specifying "dt", specify number of steps per day : day_step
-day_step = 8000
-
-# Number of tracers : integer (default=1)
-nqtot = 7
-
-#---------------- Time and output ----------------
-
-# Time style : [none|dcmip] (default=dcmip)
-time_style = none
-
-# Run length in s : real (default=??)
-# run_length = 100
-# Alternative to specifying "run_length", specify number of days to run : ndays
-ndays=1
-
-# Interval in s between two outputs : integer (default=??)
-write_period = 1000
-
-
-
-#---------------- Planet ----------------
-
-INCLUDEDEF=pluto_const.def
-
-#---------------- Physical parameters ----------------
-
-# Initial state :
-#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
-etat0 = start_file
-etat0_start_file_colocated=true
-
-# Physics package : [none|held_suarez|dcmip] (default=none)
-# physics = held_suarez
-# physics = none
-physics = phys_external
-
-startphy_file = true
-# startphy_file = false
-
-# Dissipation time for grad(div) : real (default=5000)
-tau_graddiv = 18000
-
-# Exponent of grad(div) disspation : integer (default=1)
-nitergdiv = 2
-
-# Dissipation time for curl(curl) : real (default=5000)
-tau_gradrot = 18000
-
-# Exponent of curl(curl) disspation : integer (default=1)
-nitergrot = 2
-
-# Dissipation time for div(grad) : real (default=5000)
-tau_divgrad = 18000
-
-# Exponent of div(grad) disspation : integer (default=1)
-niterdivgrad = 2
-
+INCLUDEDEF=run_icosa.def
 INCLUDEDEF=callphys.def
Index: trunk/LMDZ.PLUTO/deftank/dynamico/run.def.no_startfi
===================================================================
--- trunk/LMDZ.PLUTO/deftank/dynamico/run.def.no_startfi	(revision 3544)
+++ 	(revision )
@@ -1,90 +1,0 @@
-#---------------- Mesh ----------------
-
-# Number of subdivisions on a main triangle : integer (default=40)
-nbp = 40
-
-# Number of vertical layers : integer (default=19)
-llm = 19
-
-# Vertical grid : [std|ncar|ncarl30] (default=std)
-# disvert = std
-disvert = plugin
-hybrid = .false.
-
-# Mesh optimisation : number of iterations : integer (default=0)
-optim_it = 1000
-
-# Sub splitting of main rhombus : integer (default=1)
-nsplit_i = 10
-nsplit_j = 10
-
-#number of openmp task on vertical level
-omp_level_size=1
-
-#---------------- Numerics ----------------
-
-# Advection called every itau_adv time steps : integer (default=2)
-itau_adv = 1
-
-# Time step in s : real (default=480)
-# dt = 720
-# Alternative to specifying "dt", specify number of steps per day : day_step
-day_step = 12000
-
-# Number of tracers : integer (default=1)
-nqtot = 7
-
-#---------------- Time and output ----------------
-
-# Time style : [none|dcmip] (default=dcmip)
-time_style = none
-
-# Run length in s : real (default=??)
-run_length = 1500
-# Alternative to specifying "run_length", specify number of days to run : ndays
-# ndays=1
-
-# Interval in s between two outputs : integer (default=??)
-write_period = 1000
-
-
-
-#---------------- Planet ----------------
-
-INCLUDEDEF=pluto_const.def
-
-#---------------- Physical parameters ----------------
-
-# Initial state :
-#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
-etat0 = isothermal
-etat0_isothermal_temp=50
-etat0_ps_white_noise=0.01
-etat0_theta_rhodz_white_noise=0.01
-
-# Physics package : [none|held_suarez|dcmip] (default=none)
-# physics = held_suarez
-# physics = none
-physics = phys_external
-
-startphy_file = false
-
-# Dissipation time for grad(div) : real (default=5000)
-tau_graddiv = 18000
-
-# Exponent of grad(div) disspation : integer (default=1)
-nitergdiv = 2
-
-# Dissipation time for curl(curl) : real (default=5000)
-tau_gradrot = 18000
-
-# Exponent of curl(curl) disspation : integer (default=1)
-nitergrot = 2
-
-# Dissipation time for div(grad) : real (default=5000)
-tau_divgrad = 18000
-
-# Exponent of div(grad) disspation : integer (default=1)
-niterdivgrad = 2
-
-INCLUDEDEF=callphys.def
Index: trunk/LMDZ.PLUTO/deftank/dynamico/run_icosa.def
===================================================================
--- trunk/LMDZ.PLUTO/deftank/dynamico/run_icosa.def	(revision 3545)
+++ trunk/LMDZ.PLUTO/deftank/dynamico/run_icosa.def	(revision 3545)
@@ -0,0 +1,88 @@
+#---------------- Mesh ----------------
+
+# Number of subdivisions on a main triangle : integer (default=40)
+nbp = 40
+
+# Number of vertical layers : integer (default=19)
+llm = 27
+
+# Vertical grid : [std|ncar|ncarl30] (default=std)
+# disvert = std
+disvert = plugin
+hybrid = .false.
+
+# Mesh optimisation : number of iterations : integer (default=0)
+optim_it = 1000
+
+# Sub splitting of main rhombus : integer (default=1)
+nsplit_i = 10
+nsplit_j = 10
+
+#number of openmp task on vertical level
+omp_level_size=1
+
+#---------------- Numerics ----------------
+
+# Advection called every itau_adv time steps : integer (default=2)
+itau_adv = 1
+
+# Time step in s : real (default=480)
+# dt = 720
+# Alternative to specifying "dt", specify number of steps per day : day_step
+day_step = 8000
+
+# Number of tracers : integer (default=1)
+nqtot = 7
+
+#---------------- Time and output ----------------
+
+# Time style : [none|dcmip] (default=dcmip)
+time_style = none
+
+# Run length in s : real (default=??)
+# run_length = 100
+# Alternative to specifying "run_length", specify number of days to run : ndays
+ndays=1
+
+# Interval in s between two outputs : integer (default=??)
+write_period = 1000
+
+
+
+#---------------- Planet ----------------
+
+INCLUDEDEF=pluto_const.def
+
+#---------------- Physical parameters ----------------
+
+# Initial state :
+#   [jablonowsky06|academic|dcmip[1-4]|heldsz|dcmip2_schaer_noshear] (default=jablonowsky06)
+etat0 = start_file
+etat0_start_file_colocated=true
+
+# Physics package : [none|held_suarez|dcmip] (default=none)
+# physics = held_suarez
+# physics = none
+physics = phys_external
+
+startphy_file = true
+# startphy_file = false
+
+# Dissipation time for grad(div) : real (default=5000)
+tau_graddiv = 18000
+
+# Exponent of grad(div) disspation : integer (default=1)
+nitergdiv = 2
+
+# Dissipation time for curl(curl) : real (default=5000)
+tau_gradrot = 18000
+
+# Exponent of curl(curl) disspation : integer (default=1)
+nitergrot = 2
+
+# Dissipation time for div(grad) : real (default=5000)
+tau_divgrad = 18000
+
+# Exponent of div(grad) disspation : integer (default=1)
+niterdivgrad = 2
+