Index: trunk/LMDZ.PLUTO/README
===================================================================
--- trunk/LMDZ.PLUTO/README	(revision 3548)
+++ trunk/LMDZ.PLUTO/README	(revision 3550)
@@ -15,4 +15,3 @@
 - startfiles: PPCM initial state files
 - util: post-processing utilities for PPCM outputs
-
-
+    - util/startarchive2icosa: files to transform lat-lon (lmdz) grid to icosahedral (dynamico) grid.
Index: trunk/LMDZ.PLUTO/deftank/1d/callphys.def.hazecloud_lora
===================================================================
--- trunk/LMDZ.PLUTO/deftank/1d/callphys.def.hazecloud_lora	(revision 3550)
+++ trunk/LMDZ.PLUTO/deftank/1d/callphys.def.hazecloud_lora	(revision 3550)
@@ -0,0 +1,188 @@
+## Datagcm path
+datadir=datadir
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .true.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .false.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .false.
+noseason_day = 1550
+# Fixed zenith angle in 1D
+global1d = .true.
+# Run 1D or 3D version (false) / fast version volatile transport (true)
+fast    = .false.
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .false.
+# run with triton orbit ?
+triton = .false.
+# conservation n2
+conservn2= .false.
+# check if cpp and mugaz from start.nc are consistent with values computed by comp_cpp_mugaz with gases.def
+check_cpp_match = .true.
+check_physics_inputs = .true.
+check_physics_outputs = .true.
+check_ps_min = 0.01
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 1
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+oldplutocorrk=.true.
+ch4fix = .true.
+vmrch4fix = 0.5
+nlte=.true.
+strobel=.false.
+cooling=.true.
+pref=.05
+alpha_top = 1e-11
+deltap = 0.7
+# folder in which correlated-k data is stored ?
+corrkdir   = pluton_ch4var_COfix
+# strictboundcorrk
+strictboundcorrk = .false.
+tplanckmin = 20
+dtplanck=0.1
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# call continuum in radiative transfer ?
+continuum = .false.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .false.
+# Test physics timescale in 1D ?
+testradtimes = .false.
+# Output spectral OLR in 1D/3D?
+specOLR    = .true.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .true.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Use fixed vertical profile, 1 step, no iteration ?
+kastprof     = .false.
+
+# Star type (inherited from generic model)
+startype = 1
+Fat1AU = 1366.0
+
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true.
+kmixmin=0.001
+vertdiff=.true.
+# use turbdiff instead of vdifc ? (if oldplutovdifc = .false.)
+# UseTurbDiff = .true.
+oldplutovdifc=.true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+lay1_soil = 2e-4
+# geothermal flux at the bottom layer
+fluxgeo = 0.
+# call thermal conduction
+callconduct=.false.
+# call molecular viscosity 3D only
+callmolvis=.false.
+# call molecular diffusion
+callmoldiff=.false.
+# flux qui arrive au-dessus de latmosphere
+phitop=0.
+
+
+## Tracer and aerosol options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
+# Gravitational sedimentation of tracers ?
+sedimentation = .true.
+oldsedimpluto= .true.
+naerkind = 1
+## Condensation
+## ~~~~~~~~~~~
+generic_condensation = .false.
+# call N2 condensation ?
+n2cond       = .false.
+# N2 condensation subtimestep ?
+nbcond = 20
+# Set initial temperature profile to 1 K above N2 condensation everywhere?
+nearn2cond   = .false.
+# Compute methane cycle ?
+methane = .true.
+condmetsurf = .false.
+# Compute CO cycle ?
+carbox = .true.
+condcosurf=.false.
+# Compute methane clouds ?
+metcloud = .false.
+# Compute CO clouds ?
+monoxcloud = .false.
+# Haze production ?
+haze = .true.
+hazeconservch4    = .true.
+# number mixing ratio of haze particles for ch4 clouds
+Nmix_ch4      = 100000.
+# number mixing ratio of haze particles for co clouds
+Nmix_co      = 100000.
+# Radiatively active haze ?
+aerohaze=.true.
+# hazeprop_file=optprop_rannou_fractal_r010nm_N1_1e4_d2.dat
+hazeprop_file=optprop_lora_fractal_PH_r010nm_N1_5e5_d2.dat
+# fractal particle ?
+fractal=.true.
+nb_monomer=20
+# haze particule mean radius
+rad_haze = 20e-9
+# Fixed haze radius
+haze_radproffix = .false.
+hazerad_file = rad_haze.txt
+# Fixed haze distribution? # t==  haze_prof (hazemmr_file) else  hazecloud()
+haze_proffix = .false.
+# hazemmr_file = hazemmr.txt
+hazedens_file = dens_haze.txt
+
+## Surface properties
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+mode_n2=0     ! 0=fixed, 1=change w thickness, 2=special for SP
+deltab=0.    ! if mod_n2=1, difference of albedo depending of thickness
+metlateq=35  ! latitude separating dark/bright methane
+tholateq=25  ! latitude separating eq/pole tholins
+mode_ch4=1
+specalb=.false.  ! Specific treatment for tholins (diff values)
+
+alb_n2b=0.7
+alb_n2a=0.7
+alb_ch4=0.5
+alb_ch4_eq=0.5
+alb_ch4_s=0.5
+alb_co=0.4
+alb_tho=0.2
+alb_tho_eq=0.2
+
+emis_n2b=0.8
+emis_n2a=0.8
+emis_ch4=0.8
+emis_co=0.8
+emis_tho=0.8
+emis_tho_eq=0.8
+
+# Change TI with time
+changeti=.false.
+changetid=.false.
+ITCH4=800.
+ITN2=800
+ITH2O=2000.
+
Index: trunk/LMDZ.PLUTO/deftank/1d/rcm1d.def
===================================================================
--- trunk/LMDZ.PLUTO/deftank/1d/rcm1d.def	(revision 3550)
+++ trunk/LMDZ.PLUTO/deftank/1d/rcm1d.def	(revision 3550)
@@ -0,0 +1,100 @@
+#
+#-----------------------------------------------------------------------
+# Run parameters for the 1D 'rcm1d.e' model
+#-----------------------------------------------------------------------
+
+#### Time integration parameters
+#
+# Initial date (in martian sols ; =0 at Ls=0)
+day0=1500
+# Initial local time (in hours, between 0 and 24)
+time=0
+# Number of time steps per sol
+day_step=10
+# Number of sols to run
+ndt = 2000
+ecritphy=20
+
+cpp_mugaz_mode = 2
+
+#### Physical parameters
+#
+# Day length, in s
+daysec = 551854.0625
+# length of a year, in days
+year_day = 14178.3037109375
+# Radius of the planet, in m
+rad = 1187000
+# Surface pressure (Pa)
+psurf=1.1
+# Gravity (ms^-2)
+g=0.617188990116119
+# Molar mass of atmosphere (g)
+mugaz=28
+# Specific heat capacity of atmosphere (J kg-1 K-1) # ignored if cpp_mugaz_mode = 1
+cpp=1040.0
+# latitude (in degrees)
+latitude=0.0
+# orbital distance at perihelion (AU)
+periastr=29.65831
+# orbital distance at aphelion (AU)
+apoastr=49.3050467
+# date of periastron, in days
+peri_day = 87.3600006103516
+# obliquity (degrees)
+obliquit=119.591
+
+# Albedo of bare ground
+albedo=0.5
+# Emissivity of bare ground
+emis=0.85
+# Soil thermal inertia (SI)
+inertia=20
+# zonal eastward component of the geostrophic wind (m/s)
+u=0
+# meridional northward component of the geostrophic wind (m/s)
+v=0.
+# Initial N2 ice on the surface (kg.m-2)
+n2ice=0
+# hybrid vertical coordinate ? (.true. for hybrid and .false. for sigma levels)
+hybrid=.false.
+
+# CH4 VMR (%)
+ch4ref=0.5
+# CO VMR (%)
+coref=0.046
+# haze ref (kg/kg)
+hazeref=0.000000385
+# prec haze ref (kg/kg)
+prechazeref=0.0000004
+
+# read haze from profhaze
+lecthaze = 1
+
+###### Initial atmospheric temperature profile
+#
+# Type of initial temperature profile
+#         ichoice=1   Constant Temperature:  T=tref
+#         ichoice=2   Savidjari profile (as Seiff but with dT/dz=cte)
+#         ichoice=3   Lindner (polar profile)
+#         ichoice=4   inversion
+#         ichoice=5   Seiff  (standard profile, based on Viking entry)
+#         ichoice=6   constant T  +  gaussian perturbation (levels)
+#         ichoice=7   constant T  + gaussian perturbation (km)
+#         ichoice=8   Read in an ascii file "profile"
+# ichoice=1
+ichoice=8
+# Reference temperature tref (K)
+tref=38
+# Add a perturbation to profile if isin=1
+isin=0
+# peak of gaussian perturbation (for ichoice=6 or 7)
+pic=26.522
+# width of the gaussian perturbation (for ichoice=6 or 7)
+largeur=10
+# height of the gaussian perturbation (for ichoice=6 or 7)
+hauteur=30.
+
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.PLUTO/deftank/README.md
===================================================================
--- trunk/LMDZ.PLUTO/deftank/README.md	(revision 3548)
+++ trunk/LMDZ.PLUTO/deftank/README.md	(revision 3550)
@@ -1,8 +1,12 @@
-In this folder, you will find examples .def files for the Pluto PCM. 
+In this folder, you will find examples .def files for the Pluto PCM.
 
-In case you use def files from the old Pluto model, you can use `restart.old_pluto_to_new.def` to convert them (new model is in AU while old model in million of km). 
+In case you use start*nc files from the old Pluto model, you can use `restart.old_pluto_to_new.def` to convert them (new model is in AU while old model in million of km).
 
-In the 1D folder, callphys.def for various examples including hazes with profiles from Zhang et al 2017, a haze-generation routine (hazecloud) with a fixed particle radius, and without hazes. 
+In the 1D/ folder, callphys.def for various examples including hazes with profiles from Zhang et al 2017, a haze-generation routine (hazecloud) with a fixed particle radius, and without hazes.
 
-In the 3D folder, TBD
+In the xios/ folder, you will find the necessary .xml files for xios.
 
+In the dynamico/ folder, you will find the necessary .xml and .def files for dynamico.
+
+In the 3D/ folder, TBD
+
Index: trunk/LMDZ.PLUTO/deftank/iodef.xml
===================================================================
--- trunk/LMDZ.PLUTO/deftank/iodef.xml	(revision 3548)
+++ 	(revision )
@@ -1,28 +1,0 @@
-<!-- xml example for XIOS outputs in LMDZ dynamics (no DYNAMICO) -->
-<?xml version="1.0"?>
-<simulation>
-        <context  id="xios">
-            <variable_definition>
-                <!-- set print_file to true to have XIOS write its
-                     outputs in separate files -->
-                <variable id="print_file" type="bool"> true </variable>
-
-                <variable id="buffer_size_factor" type="double">4</variable>
-                <variable_group id="buffer">
-                buffer_size = 85000000
-                buffer_server_factor_size = 2
-                </variable_group>
-
-                <variable_group id="parameters" >
-                    <!-- set using_server to true to run with XIOS
-                         in detached server/client mode -->
-                    <variable id="using_server" type="bool">false</variable>
-                    <!-- info_level is the verbosity level of XIOS
-                         0 for no messages; 100 for lots -->
-                    <variable id="info_level" type="int">100</variable>
-                </variable_group>
-            </variable_definition>
-        </context>
-
-        <context id="LMDZ" src="./context_pcm_physics.xml"/>
-</simulation>