Index: /trunk/LMDZ.COMMON/libf/evolution/adsorption_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/adsorption_mod.F90	(revision 3553)
+++ /trunk/LMDZ.COMMON/libf/evolution/adsorption_mod.F90	(revision 3554)
@@ -4,6 +4,6 @@
 
 logical                                   :: adsorption_pem     ! True by default, to compute adsorption/desorption. Read in pem.def
-real, save, allocatable, dimension(:,:,:) :: co2_adsorbded_phys ! co2 that is in the regolith [kg/m^2]
-real, save, allocatable, dimension(:,:,:) :: h2o_adsorbded_phys ! h2o that is in the regolith [kg/m^2]
+real, save, allocatable, dimension(:,:,:) :: co2_adsorbed_phys ! co2 that is in the regolith [kg/m^2]
+real, save, allocatable, dimension(:,:,:) :: h2o_adsorbed_phys ! h2o that is in the regolith [kg/m^2]
 
 !=======================================================================
@@ -26,6 +26,6 @@
 integer, intent(in) :: nsoilmx_PEM ! number of soil layer in the PEM
 
-allocate(co2_adsorbded_phys(ngrid,nsoilmx_PEM,nslope))
-allocate(h2o_adsorbded_phys(ngrid,nsoilmx_PEM,nslope))
+allocate(co2_adsorbed_phys(ngrid,nsoilmx_PEM,nslope))
+allocate(h2o_adsorbed_phys(ngrid,nsoilmx_PEM,nslope))
 
 END SUBROUTINE ini_adsorption_h_PEM
@@ -34,6 +34,6 @@
 SUBROUTINE end_adsorption_h_PEM
 
-if (allocated(co2_adsorbded_phys)) deallocate(co2_adsorbded_phys)
-if (allocated(h2o_adsorbded_phys)) deallocate(h2o_adsorbded_phys)
+if (allocated(co2_adsorbed_phys)) deallocate(co2_adsorbed_phys)
+if (allocated(h2o_adsorbed_phys)) deallocate(h2o_adsorbed_phys)
 
 END SUBROUTINE end_adsorption_h_PEM
@@ -63,9 +63,9 @@
 
 ! Local variables
-real, dimension(ngrid,nsoil_PEM,nslope) :: theta_h2o_adsorbded ! Fraction of the pores occupied by H2O molecules
+real, dimension(ngrid,nsoil_PEM,nslope) :: theta_h2o_adsorbed ! Fraction of the pores occupied by H2O molecules
 ! -------------
 ! Compute H2O adsorption, then CO2 adsorption
 call regolith_h2oadsorption(ngrid,nslope,nsoil_PEM,timelen,d_h2oglaciers,d_co2glaciers,waterice,co2ice,ps,q_co2,q_h2o,tsoil_PEM,TI_PEM, &
-                            theta_h2o_adsorbded,m_h2o_completesoil,delta_mh2oreg)
+                            theta_h2o_adsorbed,m_h2o_completesoil,delta_mh2oreg)
 call regolith_co2adsorption(ngrid,nslope,nsoil_PEM,timelen,d_h2oglaciers,d_co2glaciers,waterice,co2ice,ps,q_co2,q_h2o, &
                             tsoil_PEM,TI_PEM,m_co2_completesoil,delta_mco2reg)
@@ -75,5 +75,5 @@
 !=======================================================================
 SUBROUTINE regolith_h2oadsorption(ngrid,nslope,nsoil_PEM,timelen,d_h2oglaciers,d_co2glaciers,waterice,co2ice,ps,q_co2,q_h2o,tsoil_PEM,TI_PEM, &
-                                  theta_h2o_adsorbded,m_h2o_completesoil,delta_mreg)
+                                  theta_h2o_adsorbed,m_h2o_completesoil,delta_mreg)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -111,5 +111,5 @@
 ! Outputs
 real, dimension(ngrid,nsoil_PEM,nslope), intent(inout) :: m_h2o_completesoil ! Density of h2o adsorbed (kg/m^3)(ngrid,nsoil_PEM,nslope)
-real, dimension(ngrid,nsoil_PEM,nslope), intent(out) :: theta_h2o_adsorbded ! Fraction of the pores occupied by H2O molecules
+real, dimension(ngrid,nsoil_PEM,nslope), intent(out) :: theta_h2o_adsorbed ! Fraction of the pores occupied by H2O molecules
 real, dimension(ngrid),                  intent(out) :: delta_mreg          ! Difference density of h2o adsorbed (kg/m^3)
 
@@ -142,5 +142,5 @@
 A = 1./m_co2 - 1./m_noco2
 B = 1./m_noco2
-theta_h2o_adsorbded = 0.
+theta_h2o_adsorbed = 0.
 dm_h2o_regolith_slope = 0.
 ispermanent_h2oglaciers = .false.
@@ -182,10 +182,10 @@
                 K = Ko*exp(e/tsoil_PEM(ig,iloop,islope))
                 if (TI_PEM(ig,iloop,islope) < inertie_thresold) then
-                    theta_h2o_adsorbded(ig,iloop,islope) = (K*pvapor_avg(ig)/(1. + K*pvapor_avg(ig)))**mu
+                    theta_h2o_adsorbed(ig,iloop,islope) = (K*pvapor_avg(ig)/(1. + K*pvapor_avg(ig)))**mu
                 else
                     p_sat = exp(beta_clap_h2o/tsoil_PEM(ig,iloop,islope) + alpha_clap_h2o) ! we assume fixed temperature in the ice ... not really good but ...
-                    theta_h2o_adsorbded(ig,iloop,islope) = (K*p_sat/(1. + K*p_sat))**mu
+                    theta_h2o_adsorbed(ig,iloop,islope) = (K*p_sat/(1. + K*p_sat))**mu
                 endif
-                dm_h2o_regolith_slope(ig,iloop,islope) = as*theta_h2o_adsorbded(ig,iloop,islope)*m_theta*rho_regolith
+                dm_h2o_regolith_slope(ig,iloop,islope) = as*theta_h2o_adsorbed(ig,iloop,islope)*m_theta*rho_regolith
             enddo
         enddo
Index: /trunk/LMDZ.COMMON/libf/evolution/evol_ice_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/evol_ice_mod.F90	(revision 3553)
+++ /trunk/LMDZ.COMMON/libf/evolution/evol_ice_mod.F90	(revision 3554)
@@ -49,5 +49,5 @@
 !=======================================================================
 
-SUBROUTINE evol_h2o_ice(ngrid,nslope,cell_area,delta_h2o_adsorbded,delta_h2o_icetablesublim,h2o_ice,d_h2oice,zshift_surf,stopPEM)
+SUBROUTINE evol_h2o_ice(ngrid,nslope,cell_area,delta_h2o_adsorbed,delta_h2o_icetablesublim,h2o_ice,d_h2oice,zshift_surf,stopPEM)
 
 use time_evol_mod, only: dt
@@ -73,5 +73,5 @@
 integer,                intent(in) :: ngrid, nslope            ! # of grid points, # of subslopes
 real, dimension(ngrid), intent(in) :: cell_area                ! Area of each mesh grid (m^2)
-real, dimension(ngrid), intent(in) :: delta_h2o_adsorbded      ! Mass of H2O adsorbded/desorbded in the soil (kg/m^2)
+real, dimension(ngrid), intent(in) :: delta_h2o_adsorbed      ! Mass of H2O adsorbed/desorbded in the soil (kg/m^2)
 real, dimension(ngrid), intent(in) :: delta_h2o_icetablesublim ! Mass of H2O that have condensed/sublimated at the ice table (kg/m^2)
 
@@ -93,8 +93,8 @@
     neg_tend = 0.
     do i = 1,ngrid
-        if (delta_h2o_adsorbded(i) > 0.) then
-            pos_tend = pos_tend + delta_h2o_adsorbded(i)*cell_area(i)
+        if (delta_h2o_adsorbed(i) > 0.) then
+            pos_tend = pos_tend + delta_h2o_adsorbed(i)*cell_area(i)
         else
-            neg_tend = neg_tend + delta_h2o_adsorbded(i)*cell_area(i)
+            neg_tend = neg_tend + delta_h2o_adsorbed(i)*cell_area(i)
         endif
         if (delta_h2o_icetablesublim(i) > 0.) then
Index: /trunk/LMDZ.COMMON/libf/evolution/pem.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/pem.F90	(revision 3553)
+++ /trunk/LMDZ.COMMON/libf/evolution/pem.F90	(revision 3554)
@@ -217,8 +217,8 @@
 real, dimension(:,:,:),   allocatable :: watersoil_density_PEM_avg        ! Physic x Soil x Slopes, water soil density, yearly averaged [kg/m^3]
 real, dimension(:,:),     allocatable :: Tsurfavg_before_saved            ! Surface temperature saved from previous time step [K]
-real, dimension(:),       allocatable :: delta_co2_adsorbed              ! Physics: quantity of CO2 that is exchanged because of adsorption / desorption [kg/m^2]
-real, dimension(:),       allocatable :: delta_h2o_adsorbed              ! Physics: quantity of H2O that is exchanged because of adsorption / desorption [kg/m^2]
-real                                  :: totmassco2_adsorbed             ! Total mass of CO2 that is exchanged because of adsorption / desoprtion over the planets [kg]
-real                                  :: totmassh2o_adsorbed             ! Total mass of H2O that is exchanged because of adsorption / desoprtion over the planets [kg]
+real, dimension(:),       allocatable :: delta_co2_adsorbed               ! Physics: quantity of CO2 that is exchanged because of adsorption / desorption [kg/m^2]
+real, dimension(:),       allocatable :: delta_h2o_adsorbed               ! Physics: quantity of H2O that is exchanged because of adsorption / desorption [kg/m^2]
+real                                  :: totmassco2_adsorbed              ! Total mass of CO2 that is exchanged because of adsorption / desoprtion over the planets [kg]
+real                                  :: totmassh2o_adsorbed              ! Total mass of H2O that is exchanged because of adsorption / desoprtion over the planets [kg]
 logical                               :: bool_sublim                      ! logical to check if there is sublimation or not
 logical, dimension(:,:),  allocatable :: co2ice_disappeared               ! logical to check if a co2 ice reservoir already disappeared at a previous timestep
Index: /trunk/LMDZ.COMMON/libf/evolution/pemredem.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/pemredem.F90	(revision 3553)
+++ /trunk/LMDZ.COMMON/libf/evolution/pemredem.F90	(revision 3554)
@@ -119,6 +119,6 @@
         call put_field("tsoil_PEM_slope"//num,"Soil temperature by slope type",tsoil_slope_PEM(:,:,islope),Year)
         call put_field("TI_PEM_slope"//num,"Soil Thermal Inertia by slope type",inertiesoil_slope_PEM(:,:,islope),Year)
-        call put_field("mco2_reg_ads_slope"//num, "Mass of co2 adsorbded in the regolith",m_co2_regolith(:,:,islope),Year)
-        call put_field("mh2o_reg_ads_slope"//num, "Mass of h2o adsorbded in the regolith",m_h2o_regolith(:,:,islope),Year)
+        call put_field("mco2_reg_ads_slope"//num, "Mass of co2 adsorbed in the regolith",m_co2_regolith(:,:,islope),Year)
+        call put_field("mh2o_reg_ads_slope"//num, "Mass of h2o adsorbed in the regolith",m_h2o_regolith(:,:,islope),Year)
     enddo
     call put_field("icetable_depth","Depth of ice table",icetable_depth,Year)
Index: /trunk/LMDZ.COMMON/libf/evolution/recomp_tend_co2_slope_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/recomp_tend_co2_slope_mod.F90	(revision 3553)
+++ /trunk/LMDZ.COMMON/libf/evolution/recomp_tend_co2_slope_mod.F90	(revision 3554)
@@ -59,41 +59,4 @@
 
 END SUBROUTINE recomp_tend_co2
-!=======================================================================
-
-SUBROUTINE recomp_tend_h2o(ngrid,nslope,timelen,d_h2oice,PCM_temp,PEM_temp)
-
-implicit none
-
-!=======================================================================
-!
-!  Routine that compute the evolution of the tendencie for h2o ice
-!
-!=======================================================================
-
-!   arguments:
-!   ----------
-!   INPUT
-integer,            intent(in) :: timelen, ngrid, nslope
-real, dimension(:), intent(in) :: PCM_temp, PEM_temp
-
-!   OUTPUT
-real, dimension(ngrid,nslope), intent(inout) :: d_h2oice ! physical point field: Evolution of perennial ice over one year
-
-!   local:
-!   ------
-real :: coef, ave, Rz_old, Rz_new, R_dec, soil_psv_old, soil_psv_new, hum_dec, h2oice_depth_new, h2oice_depth_old
-
-write(*,*) "Update of the H2O tendency due to lag layer"
-
-! Flux correction due to lag layer
-!~ Rz_old = h2oice_depth_old*0.0325/4.e-4              ! resistance from PCM
-!~ Rz_new = h2oice_depth_new*0.0325/4.e-4              ! new resistance based on new depth
-!~ R_dec = (1./Rz_old)/(1./Rz_new)                     ! decrease because of resistance
-!~ soil_psv_old = psv(max(PCM_temp(h2oice_depth_old))) ! the maxmimum annual mean saturation vapor pressure at the temperature of the GCM run temperature at the old ice location
-!~ soil_psv_new = psv(max(PEM_temp(h2oice_depth_new))) ! the maxmimum annual mean saturation vapor pressure at the temperature of the PEM run temperature at the new ice location
-!~ hum_dec = soil_psv_old/soil_psv_new                 ! decrease because of lower water vapor pressure at the new depth
-!~ d_h2oice = d_h2oice*R_dec*hum_dec                   ! decrease of flux
-
-END SUBROUTINE recomp_tend_h2o
 
 END MODULE recomp_tend_co2_slope_mod